use std::collections::HashMap;
use std::fs;
use std::io;

fn memorised_words(word_counts: Vec<HashMap<String, i32>>, ranges: Vec<&str>) -> i32 {
    let mut total_memorised: i32 = 0;

    for word_count in word_counts {
        for &range in &ranges {
            match word_count.get(range) {
                Some(length) => total_memorised += length,
                None => {}
            }
        }
    }

    total_memorised
}

fn main() {
    let file_data = fs::read_to_string("data.json").expect("Unable to read file");
    let word_counts: Vec<HashMap<String, i32>> =
        serde_json::from_str(&file_data).expect("Could not parse JSON data");

    // Read input from standard input
    let mut input = String::new();
    io::stdin()
        .read_line(&mut input)
        .expect("Failed to take in ranges");

    input.pop();
    let ranges: Vec<&str> = input.split(",").collect();

    let total_memorised = memorised_words(word_counts, ranges);

    println!("{}", total_memorised);
}
